## webp-pixbuf-loader 0.0.5

=== meson_options.txt ===
option('gdk_pixbuf_query_loaders_path', type: 'string', description: 'A non default path for the gdk-pixbuf-query-loaders binary')
option('gdk_pixbuf_moduledir', type: 'string', description: 'The path to install gdk-pixbuf modules into')

## webp-pixbuf-loader 0.0.3

=== debian/changelog ===
webp-pixbuf-loader (0.0.3-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 10 Jan 2022 17:44:34 -0500

webp-pixbuf-loader (0.0.3-1) unstable; urgency=medium

  [ David Heidelberg ]
  * Initial release Closes: #951113.
 -- David Heidelberg <david@ixit.cz>  Tue, 11 May 2021 15:00:00 +0200

=== debian/control ===
Source: webp-pixbuf-loader
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: David Heidelberg <david@ixit.cz>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Section: gnome
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
	meson (>= 0.40.0),
	libgdk-pixbuf2.0-dev (>= 2.38.1),
	libwebp-dev (>= 0.6.1)
Homepage: https://github.com/aruiz/webp-pixbuf-loader/
Vcs-Browser: https://salsa.debian.org/okias-guest/webp-pixbuf-loader
Vcs-Git: https://salsa.debian.org/okias-guest/webp-pixbuf-loader.git

Package: webp-pixbuf-loader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: WebP Image format GdkPixbuf loader
 webp-pixbuf-loader integrates libwebp library into GDK image processing
 framework, so GDK based application can use WEBP format natively.
 .
 This allows GTK applications preview and load pictures in WEBP format.

=== debian/rules ===
#! /usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_autoreconf:
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgdk_pixbuf_query_loaders_path=/usr/lib/${DEB_HOST_MULTIARCH}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders

## webp-pixbuf-loader 0.0.5

=== debian/changelog ===
webp-pixbuf-loader (0.0.5-5~22.04.1) jammy; urgency=medium

  * Backport gdk-pixbuf loader for the webp format (lp: #1993789)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Oct 2022 10:43:09 +0200

webp-pixbuf-loader (0.0.5-5) unstable; urgency=medium

  * Add build-needed to the autopkgtest spec.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 Jun 2022 11:31:28 +0200

webp-pixbuf-loader (0.0.5-4) unstable; urgency=medium

  [ David Heidelberg ]
  * d/control: bump Debian Policy Standard to 4.6.1.
  * d/tests: Add autopkgtests from LP: #1979121.

  [ Andrej Shadura ]
  * Update autopkgtests:
    - Use @ in dep-8 control file instead of the literal package name.
    - Ask autopkgtest to build the package instead of building it ourselves.
    - Specify the dependencies for determinism-test explicitly.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 28 Jun 2022 23:54:28 +0200

webp-pixbuf-loader (0.0.5-3) unstable; urgency=medium

  * d/patches: add an upstream patch to fix build on big endian architectures.

 -- David Heidelberg <david@ixit.cz>  Tue, 28 Jun 2022 22:51:37 +0200

webp-pixbuf-loader (0.0.5-2) unstable; urgency=medium

  * d/copyright: add Alan Hawrelak as a copyright owner.

 -- David Heidelberg <david@ixit.cz>  Tue, 07 Jun 2022 12:10:27 +0200

webp-pixbuf-loader (0.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #951113).

 -- David Heidelberg <david@ixit.cz>  Mon, 23 May 2022 20:07:36 +0200

=== debian/control ===
Source: webp-pixbuf-loader
Maintainer: David Heidelberg <david@ixit.cz>
Uploaders: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Section: gnome
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libgdk-pixbuf2.0-dev (>= 2.38.1),
 libwebp-dev (>= 0.6.1),
 meson (>= 0.40.0),
Homepage: https://github.com/aruiz/webp-pixbuf-loader/
Vcs-Browser: https://salsa.debian.org/multimedia-team/webp-pixbuf-loader
Vcs-Git: https://salsa.debian.org/multimedia-team/webp-pixbuf-loader.git

Package: webp-pixbuf-loader
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: WebP Image format GdkPixbuf loader
 webp-pixbuf-loader integrates libwebp library into GDK image processing
 framework, so GDK based application can use WEBP format natively.
 .
 This allows GTK applications preview and load pictures in WEBP format.

=== debian/rules ===
#! /usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgdk_pixbuf_query_loaders_path=/usr/lib/${DEB_HOST_MULTIARCH}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders

=== debian/tests/control ===
Tests: upstream-tests
Depends: @builddeps@, @
Restrictions: allow-stderr, build-needed, rw-build-tree

Tests: determinism-test
Depends: @, libgdk-pixbuf2.0-bin, file

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/webp-pixbuf-loader-$1\.tar\.gz/ \
  https://github.com/aruiz/webp-pixbuf-loader/tags .*/v?(\d\S+)\.tar\.gz

## webp-pixbuf-loader 0.2.1

=== debian/changelog ===
webp-pixbuf-loader (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1 (Closes: #1032334).
  * d/tests: extend tests by two new upstream tests.

 -- David Heidelberg <david@ixit.cz>  Sat, 04 Mar 2023 01:30:48 +0100

webp-pixbuf-loader (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * d/control: bump Debian Policy Standard to 4.6.2
  * d/patches: drop upstreamed patch
  * d/control: make package Multi-Arch: same
  * d/control: change build dependency from libgdk-pixbuf2.0-dev
    to libgdk-pixbuf-2.0-dev
  * d/tests: update test to reflect upstream changes

 -- David Heidelberg <david@ixit.cz>  Sun, 26 Feb 2023 11:55:51 +0100

## webp-pixbuf-loader 0.2.4

=== debian/changelog ===
webp-pixbuf-loader (0.2.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:25:27 +0000

webp-pixbuf-loader (0.2.4-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:58:47 +0000

webp-pixbuf-loader (0.2.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Aug 2023 13:52:07 +0200

webp-pixbuf-loader (0.2.4-1) experimental; urgency=medium

  * New upstream version 0.2.4.
  * d/tests: extend tests

 -- David Heidelberg <david@ixit.cz>  Sun, 14 May 2023 20:40:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: webp-pixbuf-loader
-Maintainer: David Heidelberg <david@ixit.cz>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Heidelberg <david@ixit.cz>
 Uploaders: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Section: gnome
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- libgdk-pixbuf2.0-dev (>= 2.38.1),
+ libgdk-pixbuf-2.0-dev (>= 2.38.1),
  libwebp-dev (>= 0.6.1),
  meson (>= 0.40.0),
 Homepage: https://github.com/aruiz/webp-pixbuf-loader/
@@ -16,6 +17,7 @@
 
 Package: webp-pixbuf-loader
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## webp-pixbuf-loader 0.2.7

=== meson_options.txt ===
option('gdk_pixbuf_query_loaders_path', type: 'string', description: 'A non default path for the gdk-pixbuf-query-loaders binary', value: 'gdk-pixbuf-query-loaders')
option('gdk_pixbuf_moduledir', type: 'string', description: 'The path to install gdk-pixbuf modules into')
option('update_cache', type: 'boolean', description: 'Whether to update the pixbuf cache on install')

=== debian/changelog ===
webp-pixbuf-loader (0.2.7-3) unstable; urgency=medium

  * Team upload
  * Ignore build test failures. gdk-pixbuf is switching to glycin on
    Debian release architectures so the tests aren't even testing
    webp-pixbuf-loader on those architectures.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Feb 2026 07:43:20 -0500

webp-pixbuf-loader (0.2.7-2) unstable; urgency=medium

  * Team upload
  * d/control: Bump Standards Version to 4.7.3
  * debian: Remove autopkgtests since they aren't useful now that gdk-pixbuf
    is switching to glycin (Closes: #1126951)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 08:42:04 -0500

webp-pixbuf-loader (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7.
  * d/tests: extends test coverage

 -- David Heidelberg <david@ixit.cz>  Wed, 06 Mar 2024 23:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,8 @@
 Source: webp-pixbuf-loader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Heidelberg <david@ixit.cz>
+Maintainer: David Heidelberg <david@ixit.cz>
 Uploaders: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Section: gnome
-Priority: optional
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  libgdk-pixbuf-2.0-dev (>= 2.38.1),

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dgdk_pixbuf_query_loaders_path=/usr/lib/${DEB_HOST_MULTIARCH}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
+
+override_dh_auto_test:
+	dh_auto_test || true
